### YamlMime:XRefMap
baseUrl: https://lucenenet.apache.org/docs/4.8.0-beta00017/api/memory/
sorted: true
references:
- uid: Lucene.Net.Index.Memory
  name: Lucene.Net.Index.Memory
  href: Lucene.Net.Index.Memory.html
  commentId: N:Lucene.Net.Index.Memory
  fullName: Lucene.Net.Index.Memory
  nameWithType: Lucene.Net.Index.Memory
- uid: Lucene.Net.Index.Memory.MemoryIndex
  name: MemoryIndex
  href: Lucene.Net.Index.Memory.MemoryIndex.html
  commentId: T:Lucene.Net.Index.Memory.MemoryIndex
  fullName: Lucene.Net.Index.Memory.MemoryIndex
  nameWithType: MemoryIndex
- uid: Lucene.Net.Index.Memory.MemoryIndex.#ctor
  name: MemoryIndex()
  href: Lucene.Net.Index.Memory.MemoryIndex.html#Lucene_Net_Index_Memory_MemoryIndex__ctor
  commentId: M:Lucene.Net.Index.Memory.MemoryIndex.#ctor
  name.vb: New()
  fullName: Lucene.Net.Index.Memory.MemoryIndex.MemoryIndex()
  fullName.vb: Lucene.Net.Index.Memory.MemoryIndex.New()
  nameWithType: MemoryIndex.MemoryIndex()
  nameWithType.vb: MemoryIndex.New()
- uid: Lucene.Net.Index.Memory.MemoryIndex.#ctor(System.Boolean)
  name: MemoryIndex(bool)
  href: Lucene.Net.Index.Memory.MemoryIndex.html#Lucene_Net_Index_Memory_MemoryIndex__ctor_System_Boolean_
  commentId: M:Lucene.Net.Index.Memory.MemoryIndex.#ctor(System.Boolean)
  name.vb: New(Boolean)
  fullName: Lucene.Net.Index.Memory.MemoryIndex.MemoryIndex(bool)
  fullName.vb: Lucene.Net.Index.Memory.MemoryIndex.New(Boolean)
  nameWithType: MemoryIndex.MemoryIndex(bool)
  nameWithType.vb: MemoryIndex.New(Boolean)
- uid: Lucene.Net.Index.Memory.MemoryIndex.#ctor*
  name: MemoryIndex
  href: Lucene.Net.Index.Memory.MemoryIndex.html#Lucene_Net_Index_Memory_MemoryIndex__ctor_
  commentId: Overload:Lucene.Net.Index.Memory.MemoryIndex.#ctor
  isSpec: "True"
  name.vb: New
  fullName: Lucene.Net.Index.Memory.MemoryIndex.MemoryIndex
  fullName.vb: Lucene.Net.Index.Memory.MemoryIndex.New
  nameWithType: MemoryIndex.MemoryIndex
  nameWithType.vb: MemoryIndex.New
- uid: Lucene.Net.Index.Memory.MemoryIndex.AddField(System.String,Lucene.Net.Analysis.TokenStream)
  name: AddField(string, TokenStream)
  href: Lucene.Net.Index.Memory.MemoryIndex.html#Lucene_Net_Index_Memory_MemoryIndex_AddField_System_String_Lucene_Net_Analysis_TokenStream_
  commentId: M:Lucene.Net.Index.Memory.MemoryIndex.AddField(System.String,Lucene.Net.Analysis.TokenStream)
  name.vb: AddField(String, TokenStream)
  fullName: Lucene.Net.Index.Memory.MemoryIndex.AddField(string, Lucene.Net.Analysis.TokenStream)
  fullName.vb: Lucene.Net.Index.Memory.MemoryIndex.AddField(String, Lucene.Net.Analysis.TokenStream)
  nameWithType: MemoryIndex.AddField(string, TokenStream)
  nameWithType.vb: MemoryIndex.AddField(String, TokenStream)
- uid: Lucene.Net.Index.Memory.MemoryIndex.AddField(System.String,Lucene.Net.Analysis.TokenStream,System.Single)
  name: AddField(string, TokenStream, float)
  href: Lucene.Net.Index.Memory.MemoryIndex.html#Lucene_Net_Index_Memory_MemoryIndex_AddField_System_String_Lucene_Net_Analysis_TokenStream_System_Single_
  commentId: M:Lucene.Net.Index.Memory.MemoryIndex.AddField(System.String,Lucene.Net.Analysis.TokenStream,System.Single)
  name.vb: AddField(String, TokenStream, Single)
  fullName: Lucene.Net.Index.Memory.MemoryIndex.AddField(string, Lucene.Net.Analysis.TokenStream, float)
  fullName.vb: Lucene.Net.Index.Memory.MemoryIndex.AddField(String, Lucene.Net.Analysis.TokenStream, Single)
  nameWithType: MemoryIndex.AddField(string, TokenStream, float)
  nameWithType.vb: MemoryIndex.AddField(String, TokenStream, Single)
- uid: Lucene.Net.Index.Memory.MemoryIndex.AddField(System.String,Lucene.Net.Analysis.TokenStream,System.Single,System.Int32)
  name: AddField(string, TokenStream, float, int)
  href: Lucene.Net.Index.Memory.MemoryIndex.html#Lucene_Net_Index_Memory_MemoryIndex_AddField_System_String_Lucene_Net_Analysis_TokenStream_System_Single_System_Int32_
  commentId: M:Lucene.Net.Index.Memory.MemoryIndex.AddField(System.String,Lucene.Net.Analysis.TokenStream,System.Single,System.Int32)
  name.vb: AddField(String, TokenStream, Single, Integer)
  fullName: Lucene.Net.Index.Memory.MemoryIndex.AddField(string, Lucene.Net.Analysis.TokenStream, float, int)
  fullName.vb: Lucene.Net.Index.Memory.MemoryIndex.AddField(String, Lucene.Net.Analysis.TokenStream, Single, Integer)
  nameWithType: MemoryIndex.AddField(string, TokenStream, float, int)
  nameWithType.vb: MemoryIndex.AddField(String, TokenStream, Single, Integer)
- uid: Lucene.Net.Index.Memory.MemoryIndex.AddField(System.String,Lucene.Net.Analysis.TokenStream,System.Single,System.Int32,System.Int32)
  name: AddField(string, TokenStream, float, int, int)
  href: Lucene.Net.Index.Memory.MemoryIndex.html#Lucene_Net_Index_Memory_MemoryIndex_AddField_System_String_Lucene_Net_Analysis_TokenStream_System_Single_System_Int32_System_Int32_
  commentId: M:Lucene.Net.Index.Memory.MemoryIndex.AddField(System.String,Lucene.Net.Analysis.TokenStream,System.Single,System.Int32,System.Int32)
  name.vb: AddField(String, TokenStream, Single, Integer, Integer)
  fullName: Lucene.Net.Index.Memory.MemoryIndex.AddField(string, Lucene.Net.Analysis.TokenStream, float, int, int)
  fullName.vb: Lucene.Net.Index.Memory.MemoryIndex.AddField(String, Lucene.Net.Analysis.TokenStream, Single, Integer, Integer)
  nameWithType: MemoryIndex.AddField(string, TokenStream, float, int, int)
  nameWithType.vb: MemoryIndex.AddField(String, TokenStream, Single, Integer, Integer)
- uid: Lucene.Net.Index.Memory.MemoryIndex.AddField(System.String,System.String,Lucene.Net.Analysis.Analyzer)
  name: AddField(string, string, Analyzer)
  href: Lucene.Net.Index.Memory.MemoryIndex.html#Lucene_Net_Index_Memory_MemoryIndex_AddField_System_String_System_String_Lucene_Net_Analysis_Analyzer_
  commentId: M:Lucene.Net.Index.Memory.MemoryIndex.AddField(System.String,System.String,Lucene.Net.Analysis.Analyzer)
  name.vb: AddField(String, String, Analyzer)
  fullName: Lucene.Net.Index.Memory.MemoryIndex.AddField(string, string, Lucene.Net.Analysis.Analyzer)
  fullName.vb: Lucene.Net.Index.Memory.MemoryIndex.AddField(String, String, Lucene.Net.Analysis.Analyzer)
  nameWithType: MemoryIndex.AddField(string, string, Analyzer)
  nameWithType.vb: MemoryIndex.AddField(String, String, Analyzer)
- uid: Lucene.Net.Index.Memory.MemoryIndex.AddField*
  name: AddField
  href: Lucene.Net.Index.Memory.MemoryIndex.html#Lucene_Net_Index_Memory_MemoryIndex_AddField_
  commentId: Overload:Lucene.Net.Index.Memory.MemoryIndex.AddField
  isSpec: "True"
  fullName: Lucene.Net.Index.Memory.MemoryIndex.AddField
  nameWithType: MemoryIndex.AddField
- uid: Lucene.Net.Index.Memory.MemoryIndex.CreateSearcher
  name: CreateSearcher()
  href: Lucene.Net.Index.Memory.MemoryIndex.html#Lucene_Net_Index_Memory_MemoryIndex_CreateSearcher
  commentId: M:Lucene.Net.Index.Memory.MemoryIndex.CreateSearcher
  fullName: Lucene.Net.Index.Memory.MemoryIndex.CreateSearcher()
  nameWithType: MemoryIndex.CreateSearcher()
- uid: Lucene.Net.Index.Memory.MemoryIndex.CreateSearcher*
  name: CreateSearcher
  href: Lucene.Net.Index.Memory.MemoryIndex.html#Lucene_Net_Index_Memory_MemoryIndex_CreateSearcher_
  commentId: Overload:Lucene.Net.Index.Memory.MemoryIndex.CreateSearcher
  isSpec: "True"
  fullName: Lucene.Net.Index.Memory.MemoryIndex.CreateSearcher
  nameWithType: MemoryIndex.CreateSearcher
- uid: Lucene.Net.Index.Memory.MemoryIndex.GetMemorySize
  name: GetMemorySize()
  href: Lucene.Net.Index.Memory.MemoryIndex.html#Lucene_Net_Index_Memory_MemoryIndex_GetMemorySize
  commentId: M:Lucene.Net.Index.Memory.MemoryIndex.GetMemorySize
  fullName: Lucene.Net.Index.Memory.MemoryIndex.GetMemorySize()
  nameWithType: MemoryIndex.GetMemorySize()
- uid: Lucene.Net.Index.Memory.MemoryIndex.GetMemorySize*
  name: GetMemorySize
  href: Lucene.Net.Index.Memory.MemoryIndex.html#Lucene_Net_Index_Memory_MemoryIndex_GetMemorySize_
  commentId: Overload:Lucene.Net.Index.Memory.MemoryIndex.GetMemorySize
  isSpec: "True"
  fullName: Lucene.Net.Index.Memory.MemoryIndex.GetMemorySize
  nameWithType: MemoryIndex.GetMemorySize
- uid: Lucene.Net.Index.Memory.MemoryIndex.KeywordTokenStream*
  name: KeywordTokenStream
  href: Lucene.Net.Index.Memory.MemoryIndex.html#Lucene_Net_Index_Memory_MemoryIndex_KeywordTokenStream_
  commentId: Overload:Lucene.Net.Index.Memory.MemoryIndex.KeywordTokenStream
  isSpec: "True"
  fullName: Lucene.Net.Index.Memory.MemoryIndex.KeywordTokenStream
  nameWithType: MemoryIndex.KeywordTokenStream
- uid: Lucene.Net.Index.Memory.MemoryIndex.KeywordTokenStream``1(System.Collections.Generic.ICollection{``0})
  name: KeywordTokenStream<T>(ICollection<T>)
  href: Lucene.Net.Index.Memory.MemoryIndex.html#Lucene_Net_Index_Memory_MemoryIndex_KeywordTokenStream__1_System_Collections_Generic_ICollection___0__
  commentId: M:Lucene.Net.Index.Memory.MemoryIndex.KeywordTokenStream``1(System.Collections.Generic.ICollection{``0})
  name.vb: KeywordTokenStream(Of T)(ICollection(Of T))
  fullName: Lucene.Net.Index.Memory.MemoryIndex.KeywordTokenStream<T>(System.Collections.Generic.ICollection<T>)
  fullName.vb: Lucene.Net.Index.Memory.MemoryIndex.KeywordTokenStream(Of T)(System.Collections.Generic.ICollection(Of T))
  nameWithType: MemoryIndex.KeywordTokenStream<T>(ICollection<T>)
  nameWithType.vb: MemoryIndex.KeywordTokenStream(Of T)(ICollection(Of T))
- uid: Lucene.Net.Index.Memory.MemoryIndex.Reset
  name: Reset()
  href: Lucene.Net.Index.Memory.MemoryIndex.html#Lucene_Net_Index_Memory_MemoryIndex_Reset
  commentId: M:Lucene.Net.Index.Memory.MemoryIndex.Reset
  fullName: Lucene.Net.Index.Memory.MemoryIndex.Reset()
  nameWithType: MemoryIndex.Reset()
- uid: Lucene.Net.Index.Memory.MemoryIndex.Reset*
  name: Reset
  href: Lucene.Net.Index.Memory.MemoryIndex.html#Lucene_Net_Index_Memory_MemoryIndex_Reset_
  commentId: Overload:Lucene.Net.Index.Memory.MemoryIndex.Reset
  isSpec: "True"
  fullName: Lucene.Net.Index.Memory.MemoryIndex.Reset
  nameWithType: MemoryIndex.Reset
- uid: Lucene.Net.Index.Memory.MemoryIndex.Search(Lucene.Net.Search.Query)
  name: Search(Query)
  href: Lucene.Net.Index.Memory.MemoryIndex.html#Lucene_Net_Index_Memory_MemoryIndex_Search_Lucene_Net_Search_Query_
  commentId: M:Lucene.Net.Index.Memory.MemoryIndex.Search(Lucene.Net.Search.Query)
  fullName: Lucene.Net.Index.Memory.MemoryIndex.Search(Lucene.Net.Search.Query)
  nameWithType: MemoryIndex.Search(Query)
- uid: Lucene.Net.Index.Memory.MemoryIndex.Search*
  name: Search
  href: Lucene.Net.Index.Memory.MemoryIndex.html#Lucene_Net_Index_Memory_MemoryIndex_Search_
  commentId: Overload:Lucene.Net.Index.Memory.MemoryIndex.Search
  isSpec: "True"
  fullName: Lucene.Net.Index.Memory.MemoryIndex.Search
  nameWithType: MemoryIndex.Search
- uid: Lucene.Net.Index.Memory.MemoryIndex.ToString
  name: ToString()
  href: Lucene.Net.Index.Memory.MemoryIndex.html#Lucene_Net_Index_Memory_MemoryIndex_ToString
  commentId: M:Lucene.Net.Index.Memory.MemoryIndex.ToString
  fullName: Lucene.Net.Index.Memory.MemoryIndex.ToString()
  nameWithType: MemoryIndex.ToString()
- uid: Lucene.Net.Index.Memory.MemoryIndex.ToString*
  name: ToString
  href: Lucene.Net.Index.Memory.MemoryIndex.html#Lucene_Net_Index_Memory_MemoryIndex_ToString_
  commentId: Overload:Lucene.Net.Index.Memory.MemoryIndex.ToString
  isSpec: "True"
  fullName: Lucene.Net.Index.Memory.MemoryIndex.ToString
  nameWithType: MemoryIndex.ToString
